## org.eclipse.xsd
Interface XSDConstrainingFacet

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDFacet

All Known Subinterfaces:
  XSDEnumerationFacet, XSDFixedFacet, XSDFractionDigitsFacet, XSDLengthFacet, XSDMaxExclusiveFacet, XSDMaxFacet, XSDMaxInclusiveFacet, XSDMaxLengthFacet, XSDMinExclusiveFacet, XSDMinFacet, XSDMinInclusiveFacet, XSDMinLengthFacet, XSDPatternFacet, XSDRepeatableFacet, XSDTotalDigitsFacet, XSDWhiteSpaceFacet

All Known Implementing Classes:
  XSDConstrainingFacetImpl, XSDEnumerationFacetImpl, XSDFixedFacetImpl, XSDFractionDigitsFacetImpl, XSDLengthFacetImpl, XSDMaxExclusiveFacetImpl, XSDMaxFacetImpl, XSDMaxInclusiveFacetImpl, XSDMaxLengthFacetImpl, XSDMinExclusiveFacetImpl, XSDMinFacetImpl, XSDMinInclusiveFacetImpl, XSDMinLengthFacetImpl, XSDPatternFacetImpl, XSDRepeatableFacetImpl, XSDTotalDigitsFacetImpl, XSDWhiteSpaceFacetImpl

    public interface XSDConstrainingFacet

extends XSDFacet

A representation of the model object 'Constraining Facet'.

See Also:
  `XSDPackage.getXSDConstrainingFacet()`

Method Summary
`boolean` `isConstraintSatisfied(java.lang.Object value)` Returns whether the given value satisfies the constraint of this facet.

Methods inherited from interface org.eclipse.xsd.XSDFacet
`getAnnotation, getEffectiveValue, getFacetName, getLexicalValue, getSimpleTypeDefinition, setAnnotation, setLexicalValue`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isConstraintSatisfied

    boolean isConstraintSatisfied(java.lang.Object value)

  Returns whether the given value satisfies the constraint of this facet.

  Parameters:
    `value` - an arbitrary value.
  Returns:
    whether the value satisfies the constraint of this facet.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.